Subject: [Nea] A Few Glitches in PT-TLS

From: Stephen Hanna <[email-masked]>
Date: Mon, 7 May 2012 23:39:56 -0400

While preparing the Document Shepherd Write-Up for
PT-TLS, I noticed a few minor errors in the document.

* The second sentence of the Introduction says the
  document evaluates itself relative to the
  requirements in RFC 5209 and RFC 5973. That's no
  longer true since you removed Appendix A. So
  I think this sentence should be removed.

  You might want to mention later in the document
  (maybe in section 1.1) that the document was
  evaluated against the requirements in those specs
  and that it passed with flying colors.

* Section 6 refers to "PT-TLS Auth Types". These
  aren't mentioned anywhere else in the spec so
  I think this mention should be deleted. Also,
  the last paragraph in section 6.1 says "the
  following three sections provide guidance to
  the IANA" but there are only two following
  sections in the IANA Considerations. I think
  that should say "two sections".

* The "Invalid Parameter error code" is referred
  to widely but not listed in section 3.9 or
  section 6.3. Probably it should be added.

* The "Authentication Needed" error code is no
  longer needed, I think. In fact, it's not
  referred to anywhere, although I think that
  the "Authentication Required" error code that's
  mentioned at the end of section 3.8.3 is it.
  But we no longer need it because section 3.8.3
  now says "the NEA Client MUST NOT transition
  to the PT-TLS Data Transport phase until it
  receives" a SASL Mechanisms TLV with no
  mechanisms. So there's no way that a NEA Client
  could send a NEA assessment message before the
  completion of the client authentication.

* Error code 5 has a name of "Invalid Message"
  in section 3.9 and many other places but it's
  named "Invalid Message Error" in section 6.3.
  I think that "Invalid Message" is a better
  name and it's certainly more widely used so
  let's just fix section 6.3.

* Section 6.3 talks about an "Error Information"
  field that's not mentioned anywhere else.
  I think we should just delete that.

Could the document editors please review this list?
If you agree these are minor errors, please fix them.
I want the document that we send to the IESG to be
of the highest quality.

Thanks,

Steve

---

From: Paul Sangster <[email-masked]>
Date: Tue, 8 May 2012 09:31:30 -0700

Steve,

Thanks for catching these minor issues.  I agree they should be addressed right away so the IESG version is of the highest quality.  We can produce a -04 draft addressing these which could be sent to the IESG.

Paul

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Stephen Hanna
> Sent: Monday, May 07, 2012 8:40 PM
> To: [email-masked]
> Subject: [Nea] A Few Glitches in PT-TLS
> 
> While preparing the Document Shepherd Write-Up for PT-TLS, I noticed a
> few minor errors in the document.
> 
> I want the document that we send to the IESG to be of the highest
> quality.
> 
> Thanks,
> 
> Steve
> 
> _______________________________________________
> Nea mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nea